@keyframes fadeIn {
    from {
        opacity: 0;
        transform: scale(0.9);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}

@keyframes fadeOut {
    from {
        opacity: 1;
        transform: scale(1);
    }
    to {
        opacity: 0;
        transform: scale(0.9);
    }
}

.modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    justify-content: center;
    align-items: center;
}

/* Saat modal muncul */
.modal.show {
    display: flex;
    animation: fadeIn 0.3s forwards;
}

/* Saat modal menghilang */
.modal.hide {
    animation: fadeOut 0.3s forwards;
}

.background-container-search {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: url('images/background-page-search.png') no-repeat top center fixed;
    background-size: cover;
    z-index: -1;
}

.logo-container-search {
    margin-bottom: 20px;
}

.logo-search {
    width: 200px;
    height: 100px;
    background-image: url('images/logo-in-search.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    margin: 0 auto;
}

.container-search {
    border-radius: 10px;
    margin-top: 100px;
}

.icon-search {
    width: 20px;
    height: 20px;
    background-image: url('images/icon-search-2.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    margin-right: 10px;
}

.search-box-wrapper-white {
    display: flex;
    align-items: center;
    flex-grow: 1;
    height: 50px;
    border-radius: 30px;
    background-color: #fff;
    padding-left: 1.5em;
    box-sizing: border-box;
}

.nav-tab-container {padding-left: 10%; padding-right: 10%;}

.nav-tabs {
    display: flex;
    justify-content: space-evenly; 
    margin-top: 100px;
    border-bottom: none; 
    list-style: none;
    text-transform: uppercase;
    margin-bottom: 30px;
    border-bottom: 2px solid #6d6e70;
    padding-left: 0;
}

.nav-tabs .nav-item {
    position: relative;
}

.nav-tabs .nav-item-separator {
    width: 2px;
    height: 40px;
    background-color: #6d6e70;
}

.nav-tabs .nav-item:not(:last-child) {
    /* margin-right: 60px; */
}

/* .nav-tabs .nav-item:not(:last-child)::after {
    content: "";
    position: absolute;
    top: 0;
    right: -60px;
    height: 40px;
    border-right: 2px solid #6d6e70;
} */

.nav-tabs .nav-link {
    text-decoration: none;
    border: none;
    font-family: var(--nunitosans);
    font-size: 17px;
    color: #6d6e70;
    font-weight: 700;
    background: transparent;
    padding: 12px 15px;
    position: relative;
    letter-spacing: 2px;
}

.nav-tabs .nav-link.active {
    color: #6d6e70;
    font-weight: bold;
}

.nav-tabs .nav-link.active::after {
    content: "";
    display: block;
    width: 100%;
    height: 5px;
    background-color: #6e5095; 
    position: absolute;
    bottom: -5px; 
    left: 0;
}

hr {
    margin-top: -15px; 
    margin-bottom: 20px; 
    border: 0; 
    border-top: 2px solid #6d6e70; 
    width: 80%;
    margin-left: auto; 
    margin-right: auto;
}


.tab-content {
    margin-top: 60px;
    padding : 0 10% 0 10%;
    display: block;
    gap: 40px;
}

.grid-search {
    display: grid;
    grid-template-columns: repeat(3, minmax(0, 1fr));
    gap: 20px;
    margin-bottom: 20px;
}

.card-background-search {
    position: relative;
    background-color: #fff;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    padding: 30px 10% 30px 10%;
    height: 100%;
}

.image-box {
    width: 100%;
    margin-bottom: 20px;
    position: relative;
}

.card-search-article .image-box::before{
    content: "";
    display: block;
    padding-top: 70%;
}

.image-box-inner {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    overflow: hidden;
}

/* Gambar dalam box */
.img-card-search {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.img-card-search.fixed-height {height: 275px;}

/* Teks */
.card-body {
    margin-top: 0;
    text-align: left;
}

.card-title-search {
    font-size: 18px;
    font-family: var(--poppins);
    color: #6e5095;
    font-weight: 500;
    line-height: 1.1;
    /* white-space: nowrap;  */
    overflow: hidden;
    text-overflow: ellipsis;
    letter-spacing: 1px;
    padding-bottom: 15px;
}

a {
    text-decoration: none !important;
}


.card-text {
    margin-top: 0;
    margin-bottom: 0;
    font-family: var(--nunitosans);
    font-size: 13px;
    font-weight: 500;
    letter-spacing: 0.5px;
    color: #7f8183;
    display: -webkit-box; 
    -webkit-line-clamp: 3; 
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

/* Mengatur bentuk sudut-sudut card */
.card-background::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: #fff;
    clip-path: polygon(0 0, 100% 0, 100% 100%, 20px 100%);
    z-index: -1;
}

@media screen and (max-width: 1200px) {
    /* .card-search-article .image-box {height: 240px;} */
}

@media screen and (max-width: 1100px) {
    /* .card-search-article .image-box {height: 210px;} */
}

@media screen and (max-width: 1024px) {
	.nav-tabs .nav-link {font-size: 16px;}
    .nav-tabs .nav-link {padding: 13px 15px;}
    .nav-tab-container {padding-left: 5%; padding-right: 5%;}
    .tab-content {padding-left: 5%; padding-right: 5%;}
    /* .card-search-article .image-box {height: 190px;} */
}

@media screen and (max-width: 900px) {
	.nav-tabs .nav-link {font-size: 15px;}
    .nav-tabs .nav-link {padding: 15px;}
    .grid-search {grid-template-columns: repeat(2, minmax(0, 1fr))};
    /* .card-search-article .image-box {height: 240px;} */
}

@media screen and (max-width: 800px) {
	.nav-tabs .nav-link {font-size: 14px;}
    .nav-tabs .nav-link {padding: 16px 15px;}
    /* .card-search-article .image-box {height: 210px;} */
}

@media screen and (max-width: 700px) {
	.nav-tabs .nav-link {font-size: 13px;}
    /* .card-search-article .image-box {height: 190px;} */
}

@media screen and (max-width: 600px) {
	.grid-search {grid-template-columns: repeat(1, minmax(0, 1fr));}
    .card-background-search {display: flex; justify-content: space-evenly; align-items: center; padding: 20px 5% 20px 5%;}
    .card-background-search .image-box {flex: 0 0 50%; padding-top: 0; padding-right: 3%; margin-bottom: 0;}
    .card-background-search .card-body {flex: 0 0 50%; padding-left: 2%; padding-right: 2%;}
    /* .card-search-article .image-box {height: 170px;} */
    .card-title-search {display: -webkit-box; -webkit-line-clamp: 3; -webkit-box-orient: vertical; padding-bottom: 0; margin-bottom: 15px;}
}

@media screen and (max-width: 550px) {
	/* .card-search-article .image-box {height: 160px;} */
}

@media screen and (max-width: 500px) {
	.nav-tabs .nav-link {font-size: 12px; letter-spacing: 1px;}
    /* .card-search-article .image-box {height: 150px;} */
}

@media screen and (max-width: 450px) {
	.nav-tabs .nav-link {letter-spacing: 0;}
    /* .card-search-article .image-box {height: 140px;} */
}

@media screen and (max-width: 400px) {
	.nav-tabs .nav-link {font-size: 11px;}
    /* .card-search-article .image-box {height: 130px;} */
}

@media screen and (max-width: 350px) {
	
}